org.jgrapht.alg

## Class TarjanLowestCommonAncestor.LcaRequestResponse<V>

- java.lang.Object
- - org.jgrapht.alg.TarjanLowestCommonAncestor.LcaRequestResponse<V>

- Enclosing class:
    TarjanLowestCommonAncestor<V,E>

      public static class TarjanLowestCommonAncestor.LcaRequestResponse<V>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TarjanLowestCommonAncestor.LcaRequestResponse(V a, V b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `getA()`
    `V` | `getB()`
    `V` | `getLca()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TarjanLowestCommonAncestor.LcaRequestResponse

          public TarjanLowestCommonAncestor.LcaRequestResponse(V a,
                                                       V b)

  - ### Method Detail

    - #### getA

          public V getA()

    - #### getB

          public V getB()

    - #### getLca

          public V getLca()

Copyright © 2016. All rights reserved.